## kodi-audiodecoder-modplug-dmo 19.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(audiodecoder.modplug)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(Modplug REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/..
                    ${MODPLUG_INCLUDE_DIRS})

set(MODPLUG_SOURCES src/ModplugCodec.cpp)
set(MODPLUG_HEADERS src/ModplugCodec.h)

set(DEPLIBS ${MODPLUG_LIBRARIES})

if(WIN32)
  add_definitions(-DMODPLUG_STATIC)
endif()

build_addon(audiodecoder.modplug MODPLUG DEPLIBS)

include(CPack)

=== depends/windows/modplug/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(modplug)

add_definitions(-D_CRT_SECURE_NO_WARNINGS -DMSC_VER=_MSC_VER -DMODPLUG_STATIC)

set(MODPLUG_SOURCES src/fastmix.cpp
                    src/load_669.cpp
                    src/load_abc.cpp
                    src/load_amf.cpp
                    src/load_ams.cpp
                    src/load_dbm.cpp
                    src/load_dmf.cpp
                    src/load_dsm.cpp
                    src/load_far.cpp
                    src/load_it.cpp
                    src/load_j2b.cpp
                    src/load_mdl.cpp
                    src/load_med.cpp
                    src/load_mid.cpp
                    src/load_mod.cpp
                    src/load_mt2.cpp
                    src/load_mtm.cpp
                    src/load_okt.cpp
                    src/load_pat.cpp
                    src/load_psm.cpp
                    src/load_ptm.cpp
                    src/load_s3m.cpp
                    src/load_stm.cpp
                    src/load_ult.cpp
                    src/load_umx.cpp
                    src/load_wav.cpp
                    src/load_xm.cpp
                    src/mmcmp.cpp
                    src/modplug.cpp
                    src/snd_dsp.cpp
                    src/sndfile.cpp
                    src/snd_flt.cpp
                    src/snd_fx.cpp
                    src/sndmix.cpp)

include_directories(${PROJECT_SOURCE_DIR}/src/libmodplug)

add_library(modplug ${MODPLUG_SOURCES})
set(HEADERS ${PROJECT_SOURCE_DIR}/src/modplug.h
            ${PROJECT_SOURCE_DIR}/src/libmodplug/it_defs.h
            ${PROJECT_SOURCE_DIR}/src/libmodplug/sndfile.h
            ${PROJECT_SOURCE_DIR}/src/libmodplug/stdafx.h)

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include/libmodplug)
install(TARGETS modplug DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

=== depends/windowsstore/modplug/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(modplug)

add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE -D_CRT_SECURE_NO_WARNINGS -DMSC_VER=_MSC_VER -DMODPLUG_STATIC)

set(MODPLUG_SOURCES src/fastmix.cpp
                    src/load_669.cpp
                    src/load_abc.cpp
                    src/load_amf.cpp
                    src/load_ams.cpp
                    src/load_dbm.cpp
                    src/load_dmf.cpp
                    src/load_dsm.cpp
                    src/load_far.cpp
                    src/load_it.cpp
                    src/load_j2b.cpp
                    src/load_mdl.cpp
                    src/load_med.cpp
                    src/load_mid.cpp
                    src/load_mod.cpp
                    src/load_mt2.cpp
                    src/load_mtm.cpp
                    src/load_okt.cpp
                    src/load_pat.cpp
                    src/load_psm.cpp
                    src/load_ptm.cpp
                    src/load_s3m.cpp
                    src/load_stm.cpp
                    src/load_ult.cpp
                    src/load_umx.cpp
                    src/load_wav.cpp
                    src/load_xm.cpp
                    src/mmcmp.cpp
                    src/modplug.cpp
                    src/snd_dsp.cpp
                    src/sndfile.cpp
                    src/snd_flt.cpp
                    src/snd_fx.cpp
                    src/sndmix.cpp)

include_directories(${PROJECT_SOURCE_DIR}/src/libmodplug)

add_library(modplug ${MODPLUG_SOURCES})
set(HEADERS ${PROJECT_SOURCE_DIR}/src/modplug.h
            ${PROJECT_SOURCE_DIR}/src/libmodplug/it_defs.h
            ${PROJECT_SOURCE_DIR}/src/libmodplug/sndfile.h
            ${PROJECT_SOURCE_DIR}/src/libmodplug/stdafx.h)

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include/libmodplug)
install(TARGETS modplug DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

=== debian/changelog ===
kodi-audiodecoder-modplug-dmo (1:19.0.2-dmo+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Feb 2023 01:11:15 +0100

kodi-audiodecoder-modplug-dmo (1:3.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Jan 2021 16:29:18 +0100

kodi-audiodecoder-modplug-dmo (2.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Feb 2020 08:37:50 +0100

kodi-audiodecoder-modplug-dmo (2.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Sep 2019 08:31:07 +0200

kodi-audiodecoder-modplug-dmo (2.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Jan 2019 17:19:35 +0100

kodi-audiodecoder-modplug-dmo (1.1.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Sep 2017 09:11:49 +0200

=== debian/control ===
Source: kodi-audiodecoder-modplug-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:18~),
 libmodplug-dev, ninja-build

Package: kodi-audiodecoder-modplug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:AUDIODECODERAPI}
Description: Modplug audio decoder for Kodi.
 Plays MOD files and few other formats.
 .
 It is recommended to use kodi-audiodecoder-openmpt addon instead of this one.

=== debian/watch ===
version=4

https://github.com/xbmc/audiodecoder.modplug/releases \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@

## kodi-audiodecoder-modplug-dmo 20.2.0

=== depends/common/modplug/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(modplug)

include(ExternalProject)
externalproject_add(modplug
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    UPDATE_COMMAND autoreconf -vif
                    CONFIGURE_COMMAND <SOURCE_DIR>/configure 
                      --prefix=${OUTPUT_DIR}
                      --enable-shared=false
                      --enable-static=true
                      --with-pic
                    INSTALL_COMMAND ""
                    BUILD_IN_SOURCE 1)

install(CODE "execute_process(COMMAND make install WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})")

=== depends/osx/modplug/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(modplug)

include (CheckFunctionExists)

check_function_exists("setenv" HAVE_SETENV)
check_function_exists("sinf" HAVE_SINF)

if(HAVE_SETENV)
  add_definitions(-DHAVE_SETENV)
endif(HAVE_SETENV)
if(HAVE_SINF)
  add_definitions(-DHAVE_SINF)
endif(HAVE_SINF)

add_definitions(-DMODPLUG_STATIC)

set(MODPLUG_SOURCES src/fastmix.cpp
                    src/load_669.cpp
                    src/load_abc.cpp
                    src/load_amf.cpp
                    src/load_ams.cpp
                    src/load_dbm.cpp
                    src/load_dmf.cpp
                    src/load_dsm.cpp
                    src/load_far.cpp
                    src/load_it.cpp
                    src/load_j2b.cpp
                    src/load_mdl.cpp
                    src/load_med.cpp
                    src/load_mid.cpp
                    src/load_mod.cpp
                    src/load_mt2.cpp
                    src/load_mtm.cpp
                    src/load_okt.cpp
                    src/load_pat.cpp
                    src/load_psm.cpp
                    src/load_ptm.cpp
                    src/load_s3m.cpp
                    src/load_stm.cpp
                    src/load_ult.cpp
                    src/load_umx.cpp
                    src/load_wav.cpp
                    src/load_xm.cpp
                    src/mmcmp.cpp
                    src/modplug.cpp
                    src/snd_dsp.cpp
                    src/sndfile.cpp
                    src/snd_flt.cpp
                    src/snd_fx.cpp
                    src/sndmix.cpp)

include_directories(${PROJECT_SOURCE_DIR}/src/libmodplug)

add_library(modplug ${MODPLUG_SOURCES})
set(HEADERS ${PROJECT_SOURCE_DIR}/src/modplug.h
            ${PROJECT_SOURCE_DIR}/src/libmodplug/it_defs.h
            ${PROJECT_SOURCE_DIR}/src/libmodplug/sndfile.h
            ${PROJECT_SOURCE_DIR}/src/libmodplug/stdafx.h)

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include/libmodplug)
install(TARGETS modplug DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

=== debian/changelog ===
kodi-audiodecoder-modplug-dmo (1:20.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Feb 2023 18:45:33 +0100

kodi-audiodecoder-modplug-dmo (1:3.0.0-dmo3) unstable; urgency=medium

  * Should be architecture all

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Sep 2021 10:32:00 +0200

kodi-audiodecoder-modplug-dmo (1:3.0.0-dmo2) unstable; urgency=medium

  * This package is now a dummy package who install kodi-audiodecoder-openmpt

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Sep 2021 09:00:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: kodi-audiodecoder-modplug-dmo
-Section: sound
+Section: oldlibs
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:18~),
- libmodplug-dev, ninja-build
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
+ ninja-build, libmodplug-dev
 
 Package: kodi-audiodecoder-modplug
 Architecture: any

## kodi-audiodecoder-modplug-dmo 21.0.2

=== debian/changelog ===
kodi-audiodecoder-modplug-dmo (1:21.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 09:19:11 +0100

kodi-audiodecoder-modplug-dmo (1:21.0.0-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Nov 2024 15:16:00 +0100

kodi-audiodecoder-modplug-dmo (1:21.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2024 10:51:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
  ninja-build, libmodplug-dev
 
 Package: kodi-audiodecoder-modplug

=== debian/watch ===
version=4

#https://github.com/xbmc/audiodecoder.modplug/tags \
#(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@
